
var nsec = document.currentScript.previousElementSibling;

while (nsec) {
  if (nsec.tagName === "LINK") {
    break;
  }

  var ents = nsec.querySelectorAll("entry.nsec>top-g>*:first-child");
  for (let i = 0; i < ents.length; i++) {
    var ent = ents[i];
    if (ent.closest("entry").getElementsByTagName("x-gs").length > 0) {
      ent.style.color = "#752a2a";
      ent.addEventListener("click", modeSwitch);
    }
  }

  var olis = nsec.querySelectorAll("entry.nsec ol>li.collapsible");
  for (let i = 0; i < olis.length; i++) {
    var oli = olis[i];
    oli.addEventListener("click", showLiExamples);
  }
  
  var drs = nsec.querySelectorAll("entry.nsec dr");
  for (let i = 0; i < drs.length; i++) {
    var dr = drs[i];
    if (dr.closest("dr-g-blk").getElementsByTagName("x-gs").length > 0) {
      dr.style.color = "#752a2a";
      dr.addEventListener("click", showDrExamples);
    }
  }

  nsec = nsec.previousElementSibling;
}

function modeSwitch() {
  var xgs = this.closest("entry").getElementsByTagName("x-gs");
  var flag = true;
  for (let i = 0; i < xgs.length; i++) {
    var xg = xgs[i];
    if (xg.style.display === "block") {
      xg.style.display = "none";
      flag = false;
    }
  }
  if (flag) {
    for (let i = 0; i < xgs.length; i++) {
      var xg = xgs[i];
      xg.style.display = "block";
    }
  }
}


function showLiExamples(event) {
  if (event.target.nodeName === "LI") {
    var xgs = this.getElementsByTagName("x-gs");
    for (let i = 0; i < xgs.length; i++) {
      var xg = xgs[i];
      if (xg.style.display !== "block") {
        xg.style.display = "block";
      } else {
        xg.style.display = "none";
      }
    }
  }
}


function showDrExamples() {
  var xgs = this.closest("dr-g-blk").getElementsByTagName("x-gs");
  for (let i = 0; i < xgs.length; i++) {
    var xg = xgs[i];
    if (xg.style.display !== "block") {
      xg.style.display = "block";
    } else {
      xg.style.display = "none";
    }
  } 
}
